Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl
Class HttpServletRequestHttpReceiver

    java.lang.Object
      be.fedict.eid.applet.service.impl.HttpServletRequestHttpReceiver

All Implemented Interfaces:
  be.fedict.eid.applet.shared.protocol.HttpReceiver

    public class HttpServletRequestHttpReceiver

extends Object
implements be.fedict.eid.applet.shared.protocol.HttpReceiver

HttpServletRequest based HTTP receiver.

Author:
  Frank Cornelis

Constructor Summary
`HttpServletRequestHttpReceiver(HttpServletRequest httpServletRequest, boolean skipSecureConnectionCheck)` Main constructor.

Method Summary
`byte[]` | `getBody()`
`List<String>` | `getHeaderNames()`
`String` | `getHeaderValue(String headerName)`
`boolean` | `isSecure()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServletRequestHttpReceiver

    public HttpServletRequestHttpReceiver(HttpServletRequest httpServletRequest,
                                          boolean skipSecureConnectionCheck)

  Main constructor.

  Parameters:
    `httpServletRequest` -
    `skipSecureConnectionCheck` - set to `true` to skip the check on a secure SSL connection.

Method Detail

### getBody

    public byte[] getBody()

  Specified by:
    `getBody` in interface `be.fedict.eid.applet.shared.protocol.HttpReceiver`

### getHeaderNames

    public List<String> getHeaderNames()

  Specified by:
    `getHeaderNames` in interface `be.fedict.eid.applet.shared.protocol.HttpReceiver`

### getHeaderValue

    public String getHeaderValue(String headerName)

  Specified by:
    `getHeaderValue` in interface `be.fedict.eid.applet.shared.protocol.HttpReceiver`

### isSecure

    public boolean isSecure()

  Specified by:
    `isSecure` in interface `be.fedict.eid.applet.shared.protocol.HttpReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.